export NODE_OPTIONS := "--max-old-space-size=8192"

.PHONY: all
all: build

.PHONY: install
install:
	npm install --force

.PHONY: build
build:
	npm run build

.PHONY: serve
serve: 
	npm run start

# .PHONY: clean
# clean:
# 	rm -rf .tmp
# 	rm -rf static/_*
# 	rm -rf static/swagger-latest.json
# 	rm -rf static/swagger-19.json
# 	rm -rf static/swagger-20.json
# 	rm -rf static/swagger-21.json
# 	rm -rf static/swagger-22.json
# 	rm -rf static/swagger-23.json
# 	rm -rf static/swagger-24.json
